Skip to content

# Class: Slider ‹S, SS, S›

## Type parameters

▪ S

▪ SS

▪ S

## Hierarchy

- Component‹SliderProps›

↳ Slider

## Index

### Constructors

- constructor

### Properties

- context
- props
- refs
- state
- contextType
- defaultProps

### Methods

- UNSAFE_componentWillMount
- UNSAFE_componentWillReceiveProps
- UNSAFE_componentWillUpdate
- componentDidCatch
- componentDidMount
- componentDidUpdate
- componentWillMount
- componentWillReceiveProps
- componentWillUnmount
- componentWillUpdate
- forceUpdate
- getSnapshotBeforeUpdate
- render
- setState
- shouldComponentUpdate

## Constructors

### constructor

+ new Slider(`props`: Readonly‹SliderProps› | SliderProps): Slider

Inherited from PageLayout.constructor

Defined in node_modules/@types/react/index.d.ts:473

Parameters:

Name | Type
--- | ---
`props` | Readonly‹SliderProps› | SliderProps

Returns: Slider

+ new Slider(`props`: SliderProps, `context`: any): Slider

Inherited from PageLayout.constructor

Defined in node_modules/@types/react/index.d.ts:475

`deprecated`

`see` https://reactjs.org/docs/legacy-context.html

Parameters:

Name | Type
--- | ---
`props` | SliderProps
`context` | any

Returns: Slider

## Properties

### context

• context: any

Inherited from PageLayout.context

Defined in node_modules/@types/react/index.d.ts:473

If using the new style context, re-declare this in your class to be the `React.ContextType` of your `static contextType`. Should be used with type annotation or static contextType.

    static contextType = MyContext
    // For TS pre-3.7:
    context!: React.ContextType<typeof MyContext>
    // For TS 3.7 and above:
    declare context: React.ContextType<typeof MyContext>

`see` https://reactjs.org/docs/context.html

### props

• props: Readonly‹SliderProps› & Readonly‹object›

Inherited from PageLayout.props

Defined in node_modules/@types/react/index.d.ts:498

### refs

• refs: object

Inherited from PageLayout.refs

Defined in node_modules/@types/react/index.d.ts:504

`deprecated` https://reactjs.org/docs/refs-and-the-dom.html#legacy-api-string-refs

#### Type declaration:

- [ key: string]: ReactInstance

### state

• state: Readonly‹S›

Inherited from PageLayout.state

Defined in node_modules/@types/react/index.d.ts:499

### `Static` `Optional` contextType

▪ contextType? : Context‹any›

Inherited from PageLayout.contextType

Defined in node_modules/@types/react/index.d.ts:455

If set, `this.context` will be set at runtime to the current value of the given Context.

Usage:

    type MyContext = number
    const Ctx = React.createContext<MyContext>(0)

    class Foo extends React.Component {
      static contextType = Ctx
      context!: React.ContextType<typeof Ctx>
      render () {
        return <>My context's value: {this.context}</>;
      }
    }

`see` https://reactjs.org/docs/context.html#classcontexttype

### `Static` defaultProps

▪ defaultProps: object = defaultProps as object

Defined in src/renderer/components/slider/slider.tsx:21

## Methods

### `Optional` UNSAFE_componentWillMount

▸ UNSAFE_componentWillMount(): void

Inherited from PageLayout.UNSAFE_componentWillMount

Defined in node_modules/@types/react/index.d.ts:711

Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

This method will not stop working in React 17.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use componentDidMount or the constructor instead

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

Returns: void

### `Optional` UNSAFE_componentWillReceiveProps

▸ UNSAFE_componentWillReceiveProps(`nextProps`: Readonly‹SliderProps›, `nextContext`: any): void

Inherited from PageLayout.UNSAFE_componentWillReceiveProps

Defined in node_modules/@types/react/index.d.ts:743

Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

Calling `Component#setState` generally does not trigger this method.

This method will not stop working in React 17.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use static getDerivedStateFromProps instead

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

Parameters:

Name | Type
--- | ---
`nextProps` | Readonly‹SliderProps›
`nextContext` | any

Returns: void

### `Optional` UNSAFE_componentWillUpdate

▸ UNSAFE_componentWillUpdate(`nextProps`: Readonly‹SliderProps›, `nextState`: Readonly‹S›, `nextContext`: any): void

Inherited from PageLayout.UNSAFE_componentWillUpdate

Defined in node_modules/@types/react/index.d.ts:771

Called immediately before rendering when new props or state is received. Not called for the initial render.

Note: You cannot call `Component#setState` here.

This method will not stop working in React 17.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use getSnapshotBeforeUpdate instead

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

Parameters:

Name | Type
--- | ---
`nextProps` | Readonly‹SliderProps›
`nextState` | Readonly‹S›
`nextContext` | any

Returns: void

### `Optional` componentDidCatch

▸ componentDidCatch(`error`: Error, `errorInfo`: ErrorInfo): void

Inherited from PageLayout.componentDidCatch

Defined in node_modules/@types/react/index.d.ts:640

Catches exceptions generated in descendant components. Unhandled exceptions will cause the entire component tree to unmount.

Parameters:

Name | Type
--- | ---
`error` | Error
`errorInfo` | ErrorInfo

Returns: void

### `Optional` componentDidMount

▸ componentDidMount(): void

Inherited from WizardLayout.componentDidMount

Defined in node_modules/@types/react/index.d.ts:619

Called immediately after a component is mounted. Setting state here will trigger re-rendering.

Returns: void

### `Optional` componentDidUpdate

▸ componentDidUpdate(`prevProps`: Readonly‹SliderProps›, `prevState`: Readonly‹S›, `snapshot?`: SS): void

Inherited from PageLayout.componentDidUpdate

Defined in node_modules/@types/react/index.d.ts:682

Called immediately after updating occurs. Not called for the initial render.

The snapshot is only present if getSnapshotBeforeUpdate is present and returns non-null.

Parameters:

Name | Type
--- | ---
`prevProps` | Readonly‹SliderProps›
`prevState` | Readonly‹S›
`snapshot?` | SS

Returns: void

### `Optional` componentWillMount

▸ componentWillMount(): void

Inherited from PageLayout.componentWillMount

Defined in node_modules/@types/react/index.d.ts:697

Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use componentDidMount or the constructor instead; will stop working in React 17

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

Returns: void

### `Optional` componentWillReceiveProps

▸ componentWillReceiveProps(`nextProps`: Readonly‹SliderProps›, `nextContext`: any): void

Inherited from PageLayout.componentWillReceiveProps

Defined in node_modules/@types/react/index.d.ts:726

Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

Calling `Component#setState` generally does not trigger this method.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use static getDerivedStateFromProps instead; will stop working in React 17

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

Parameters:

Name | Type
--- | ---
`nextProps` | Readonly‹SliderProps›
`nextContext` | any

Returns: void

### `Optional` componentWillUnmount

▸ componentWillUnmount(): void

Inherited from WizardLayout.componentWillUnmount

Defined in node_modules/@types/react/index.d.ts:635

Called immediately before a component is destroyed. Perform any necessary cleanup in this method, such as cancelled network requests, or cleaning up any DOM elements created in `componentDidMount`.

Returns: void

### `Optional` componentWillUpdate

▸ componentWillUpdate(`nextProps`: Readonly‹SliderProps›, `nextState`: Readonly‹S›, `nextContext`: any): void

Inherited from PageLayout.componentWillUpdate

Defined in node_modules/@types/react/index.d.ts:756

Called immediately before rendering when new props or state is received. Not called for the initial render.

Note: You cannot call `Component#setState` here.

Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

`deprecated` 16.3, use getSnapshotBeforeUpdate instead; will stop working in React 17

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

`see` https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

Parameters:

Name | Type
--- | ---
`nextProps` | Readonly‹SliderProps›
`nextState` | Readonly‹S›
`nextContext` | any

Returns: void

### forceUpdate

▸ forceUpdate(`callback?`: function): void

Inherited from PageLayout.forceUpdate

Defined in node_modules/@types/react/index.d.ts:490

Parameters:

▪`Optional` callback: function

▸ (): void

Returns: void

### `Optional` getSnapshotBeforeUpdate

▸ getSnapshotBeforeUpdate(`prevProps`: Readonly‹SliderProps›, `prevState`: Readonly‹S›): SS | null

Inherited from PageLayout.getSnapshotBeforeUpdate

Defined in node_modules/@types/react/index.d.ts:676

Runs before React applies the result of `render` to the document, and returns an object to be given to componentDidUpdate. Useful for saving things such as scroll position before `render` causes changes to it.

Note: the presence of getSnapshotBeforeUpdate prevents any of the deprecated lifecycle events from running.

Parameters:

Name | Type
--- | ---
`prevProps` | Readonly‹SliderProps›
`prevState` | Readonly‹S›

Returns: SS | null

### render

▸ render(): Element‹›

Overrides void

Defined in src/renderer/components/slider/slider.tsx:30

Returns: Element‹›

### setState

▸ setState‹K›(`state`: function | S | object, `callback?`: function): void

Inherited from PageLayout.setState

Defined in node_modules/@types/react/index.d.ts:485

Type parameters:

▪ K: keyof S

Parameters:

▪ state: function | S | object

▪`Optional` callback: function

▸ (): void

Returns: void

### `Optional` shouldComponentUpdate

▸ shouldComponentUpdate(`nextProps`: Readonly‹SliderProps›, `nextState`: Readonly‹S›, `nextContext`: any): boolean

Inherited from PageLayout.shouldComponentUpdate

Defined in node_modules/@types/react/index.d.ts:630

Called to determine whether the change in props and state should trigger a re-render.

`Component` always returns true. `PureComponent` implements a shallow comparison on props and state and returns true if any props or states have changed.

If false is returned, `Component#render`, `componentWillUpdate` and `componentDidUpdate` will not be called.

Parameters:

Name | Type
--- | ---
`nextProps` | Readonly‹SliderProps›
`nextState` | Readonly‹S›
`nextContext` | any

Returns: boolean